org.springframework.batch.sample.domain.order

## Class BillingInfo

- java.lang.Object
- - org.springframework.batch.sample.domain.order.BillingInfo

-     public class BillingInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `LINE_ID_BILLING_INFO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BillingInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getPaymentDesc()`
    `java.lang.String` | `getPaymentId()`
    `int` | `hashCode()`
    `void` | `setPaymentDesc(java.lang.String paymentDesc)`
    `void` | `setPaymentId(java.lang.String paymentId)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LINE_ID_BILLING_INFO

          public static final java.lang.String LINE_ID_BILLING_INFO

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BillingInfo

          public BillingInfo()

  - ### Method Detail

    - #### getPaymentDesc

          public java.lang.String getPaymentDesc()

    - #### setPaymentDesc

          public void setPaymentDesc(java.lang.String paymentDesc)

    - #### getPaymentId

          public java.lang.String getPaymentId()

    - #### setPaymentId

          public void setPaymentId(java.lang.String paymentId)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`